Package org.springframework.security.access

# Class SecurityConfig

java.lang.Object
org.springframework.security.access.SecurityConfig

All Implemented Interfaces:
  `Serializable`, `ConfigAttribute`

Direct Known Subclasses:
  `Jsr250SecurityConfig`

public class SecurityConfig extends Object implements ConfigAttribute
Stores a `ConfigAttribute` as a `String`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SecurityConfig(String config)`

## Method Summary

Modifier and Type
Method
Description
`static List<ConfigAttribute>`
`createList(String... attributeNames)`
`static List<ConfigAttribute>`
`createListFromCommaDelimitedString(String access)`
`boolean`
`equals(Object obj)`
`String`
`getAttribute()`
If the `ConfigAttribute` can be represented as a `String` and that `String` is sufficient in precision to be relied upon as a configuration parameter by a `RunAsManager`, `AccessDecisionManager` or `AccessDecisionManager` delegate, this method should return such a `String`.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecurityConfig

public SecurityConfig(String config)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getAttribute

public String getAttribute()
Description copied from interface: `ConfigAttribute`
If the `ConfigAttribute` can be represented as a `String` and that `String` is sufficient in precision to be relied upon as a configuration parameter by a `RunAsManager`, `AccessDecisionManager` or `AccessDecisionManager` delegate, this method should return such a `String`.

If the `ConfigAttribute` cannot be expressed with sufficient precision as a `String`, `null` should be returned. Returning `null` will require any relying classes to specifically support the `ConfigAttribute` implementation, so returning `null` should be avoided unless actually required.

Specified by:
  `getAttribute` in interface `ConfigAttribute`
Returns:
  a representation of the configuration attribute (or `null` if the configuration attribute cannot be expressed as a `String` with sufficient precision).

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### createListFromCommaDelimitedString

public static List<ConfigAttribute> createListFromCommaDelimitedString(String access)

### createList

public static List<ConfigAttribute> createList(String... attributeNames)